Name: jpackage-1.4-compat
Version: 0.06
Release: alt3

Summary: ALT to JPackage build compatibility adaptor.
Group: Development/Java
License: Apache
Url: http://www.sisyphus.ru/packages/viy/srpms

BuildArch: noarch

Requires(pre): java-devel = 1.4.2 java = 1.4.2
# hack
#Requires: j2se1.4-blackdown j2se1.4-blackdown-devel
Requires: java-devel = 1.4.2 java = 1.4.2
Conflicts: java-devel > 1.4.99 java > 1.4.99
#Conflicts: java >= 1.6.0 java-devel >= 1.6.0

BuildPreReq: rpm-build-java /proc
Requires: jpackage-utils
# as in jdepend; should be detected by peering in SOURCEDIR
Requires: unzip
# bea-stax...
Requires: ant

# around nultiple hooks and ant compatibility
Requires: ant-junit ant-antlr
# xmlunit
Requires: ant-trax

############## hack #############
Requires: ant-bcel ant-jakarta-oro ant-jakarta-regexp ant-log4j ant-bcel ant-xml-resolver
Provides: ant-apache-bcel
Provides: ant-apache-oro 
Provides: ant-apache-regexp
Provides: ant-apache-log4j 
Provides: ant-apache-bcel 
Provides: ant-apache-resolver 
#################################

%description
JPackage compatibility package. The main goal is to provide all nessssary 
symlinks, Requires and BuildRequires for ALTLinux to create a build environment
compatible with JPackage.org.

%prep

%build

%install
install -d $RPM_BUILD_ROOT%_javadir

#%post

%files

%changelog
* Thu May 24 2007 Igor Vlasenko <viy@altlinux.ru> 0.06-alt3
- added hack for ant-apache-resolver (and company)

* Wed May 23 2007 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2
- Requires: ant-trax

* Tue May 22 2007 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- Requires: ant-junit ant-antlr
- removed xerces-j/xni hack

* Sat May 19 2007 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2
- removed ant hack (thanks to damir@ for fix)
- added xerces-j/xni hack (waiting for Eugene (eostapets@) to fix)

* Wed May 09 2007 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- added quick hack around ant compatibility

* Fri Apr 27 2007 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2
- added explicit /proc

* Fri Apr 27 2007 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- added requires: ant

* Sat Apr 21 2007 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- removed fake xerces-j2 (moved to jpackage-1.5-compat)
- changed dependencies to get java-1.4

* Sat Apr 21 2007 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- added conflict to java-devel 1.6

* Sat Mar 24 2007 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial build.
